summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBarry Warsaw <barry@python.org>2011-12-16 11:15:01 -0500
committerBarry Warsaw <barry@python.org>2011-12-16 11:15:01 -0500
commit2167b305db78b8345b0f5ea23bfa445fa7cfca4d (patch)
treeaedd78b5623f6e6260710ed1143d98847ffdca54
parent0c71d7dd6eb843a74931c714d6142921f1971f88 (diff)
downloaddbus-python-2167b305db78b8345b0f5ea23bfa445fa7cfca4d.tar.gz
Re-enable the other tests, even though these still fail for me (b.f.o #43303).
Fix another except syntax problem.
-rwxr-xr-xtest/run-test.sh12
-rwxr-xr-xtest/test-client.py6
2 files changed, 9 insertions, 9 deletions
diff --git a/test/run-test.sh b/test/run-test.sh
index 2530b3f..e50dae5 100755
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -112,13 +112,13 @@ else
echo " - cross-test server reported no untested functions"
fi
-# echo "running test-client.py"
-# $PYTHON "$DBUS_TOP_SRCDIR"/test/test-client.py || die "test-client.py failed"
-# echo "running test-signals.py"
-# $PYTHON "$DBUS_TOP_SRCDIR"/test/test-signals.py || die "test-signals.py failed"
+echo "running test-client.py"
+$PYTHON "$DBUS_TOP_SRCDIR"/test/test-client.py || die "test-client.py failed"
+echo "running test-signals.py"
+$PYTHON "$DBUS_TOP_SRCDIR"/test/test-signals.py || die "test-signals.py failed"
-# echo "running test-p2p.py"
-# $PYTHON "$DBUS_TOP_SRCDIR"/test/test-p2p.py || die "... failed"
+echo "running test-p2p.py"
+$PYTHON "$DBUS_TOP_SRCDIR"/test/test-p2p.py || die "... failed"
rm -f "$DBUS_TOP_BUILDDIR"/test/test-service.log
rm -f "$DBUS_TOP_BUILDDIR"/test/cross-client.log
diff --git a/test/test-client.py b/test/test-client.py
index 30b150c..d8dc387 100755
--- a/test/test-client.py
+++ b/test/test-client.py
@@ -265,7 +265,7 @@ class TestDBusBindings(unittest.TestCase):
for value in range(len(values)):
try:
ret = method(value)
- except Exception, e:
+ except Exception as e:
print("%s(%r) raised %s: %s" % (method._method_name, values[value], e.__class__, e))
# should fail if it tried to marshal the wrong type
@@ -284,7 +284,7 @@ class TestDBusBindings(unittest.TestCase):
for value in range(len(values)):
try:
self.iface.EmitSignal(signal, value)
- except Exception, e:
+ except Exception as e:
print("EmitSignal(%s, %r) raised %s" % (signal, values[value], e.__class__))
# should fail if it tried to marshal the wrong type
@@ -313,7 +313,7 @@ class TestDBusBindings(unittest.TestCase):
val = ('a', 1, False, [1,2], {1:2})
print("calling AsynchronousMethod with %s %s %s" % (async, fail, val))
ret = self.iface.AsynchronousMethod(async, fail, val)
- except Exception, e:
+ except Exception as e:
self.assert_(fail, '%s: %s' % (e.__class__, e))
print("Expected failure: %s: %s" % (e.__class__, e))
else: